Sync iphone 6 with debian 8

If none of the more specific forums is the right place to ask

Sync iphone 6 with debian 8

Postby denito » 2019-08-04 06:51

Hi,

When I'm trying to browse my iphone I get 'Unhandled Lockdown error (-3)'. I tried to follow the steps from https://wiki.debian.org/iPhone#mountScript, but I got the same error from the script.
I also find that there is a fix in https://github.com/libimobiledevice/lib ... 4b76fd3e12. I installed this, but it still didn't work. I suppose that the reason is that gnome uses older version of libimobiledevice, but when I try to remove it it also removes gnome:

deni@venera:~/media/downloads/libimobiledevice$ sudo apt-get remove libimobiledevice4
[sudo] password for deni:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
libgnutls28-dev libgnutlsxx28 libp11-kit-dev libtasn1-6-dev libtasn1-doc libusbmuxd-dev nettle-dev
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
gdm3 gnome gnome-core gnome-session gnome-session-bin gnome-shell-extensions gvfs-backends libgpod-common libgpod-dev libgpod4 libimobiledevice-dev libimobiledevice-utils libimobiledevice4 rhythmbox-plugins
upower usbmuxd
0 upgraded, 0 newly installed, 16 to remove and 217 not upgraded.
After this operation, 14.5 MB disk space will be freed.
Do you want to continue? [Y/n]

I also tried to remove libimobiledevice4, install the patched version and install the gnome again, but the problem stays.
According to some other information from google I tried to change the permissions of /var/lib/lockdown/ directory to 777 - the same error.

Can I get some help?

Thanks!
Regards, Deni
denito
 
Posts: 2
Joined: 2019-08-04 06:37

Re: Sync iphone 6 with debian 8

Postby ruwolf » 2019-08-04 07:14

I am afraid, that this is not issue of Debian, but proprietary crap iPhone...
User avatar
ruwolf
 
Posts: 358
Joined: 2008-02-18 05:04
Location: Slovakia, Banovce nad Bebravou, Matice slovenskej 1260/4-7

Re: Sync iphone 6 with debian 8

Postby denito » 2019-08-04 08:37

Is it possible to upgrade libimobiledevice from 4 to 6 (without losing gnome ....) ?
denito
 
Posts: 2
Joined: 2019-08-04 06:37

Re: Sync iphone 6 with debian 8

Postby ruwolf » 2019-08-04 11:58

libimobiledevice4 is available only for old-old-stable and unstable,
libimobiledevice6 is available for old-stable, stable, testing and unstable distribution...
User avatar
ruwolf
 
Posts: 358
Joined: 2008-02-18 05:04
Location: Slovakia, Banovce nad Bebravou, Matice slovenskej 1260/4-7


Return to General Questions

Who is online

Users browsing this forum: No registered users and 13 guests

fashionable